﻿@using LawMingo.Areas.Admin.Helpers
@model ConsultationRequest.Status

@{
    List<SelectListItem> list = new List<SelectListItem>();
    foreach (var value in EnumHelper<ConsultationRequest.Status>.GetValues(ConsultationRequest.Status.Waiting))
    {
        var AttributeName = EnumHelper<ConsultationRequest.Status>.GetDisplayValue(value);
        list.Add(new SelectListItem()
        {
            Text = AttributeName.ToString(),
            Value = ((int)value).ToString()
        });
    }
}

@(
            Html.Kendo().DropDownListFor(m => m)
                .DataTextField("Text")
                .DataValueField("Value")             
                .BindTo(list)
)
